# Yar_Server::__construct

(PECL yar >= 1.0.0)

Yar_Server::__construct — Register a server

### Beschreibung

final public Yar_Server::__construct(Object `$obj`)

Set up a Yar HTTP RPC Server, All the public methods of $obj will be register as a RPC service.

### Parameter-Liste

`obj`

  An Object, all public methods of its will be registered as RPC services.

### Rückgabewerte

An instance of Yar_Server.

### Beispiele

Beispiel #1 Yar_Server::__construct() example

`<?php
class API {
/**
* the doc info will be generated automatically into service info page.
* @params
* @return
*/
public function some_method($parameter, $option = "foo") {
return "some_method";
}
protected function client_can_not_see() {
}
}
$service = new Yar_Server(new API());
$service->handle();
?>`

Das oben gezeigte Beispiel erzeugt eine ähnliche Ausgabe wie:

### Siehe auch

- Yar_Server::handle() - Start RPC Server

`↑` and `↓` to navigate • `Enter` to select • `Esc` to close • `/` to open